VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "FillState"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

'Klasa FillState
Implements State
Private med As Mediator
'-----
Public Sub init(md As Mediator)
 Set med = md
End Sub
'-----
Private Sub State_mouseDown(x As Integer, y As Integer)
  Dim drawings As Collection
  Dim i As Integer
  Dim d As Drawing
    'Wypełnia rysunek jeśli zostanie wybrany
    i = med.findDrawing(x, y)
    If i > 0 Then
      Set d = med.getDrawing(i)
      d.setFill True              'Wypełnia rysunek
    End If
End Sub
'-----
Private Sub State_mouseDrag(x As Integer, y As Integer)
End Sub
'-----
Private Sub State_mouseUp(x As Integer, y As Integer)
End Sub
'-----
Private Sub State_selectOne(d As Drawing)
  'Wypełnia wybrany rysunek
  d.setFill True
End Sub
